Skip to main content
POST
Start a student loan for an employee

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

X-Org-Id
string
header
required

Organisation to scope the request to. Required when the principal can access more than one organisation; optional for single-organisation principals (the authorizer resolves it automatically).

Path Parameters

employeeId
string
required

The ID of the employee

Body

application/json
loanType
enum<string>
required

Type of student loan. Valid values: 'Plan1', 'Plan2', 'Plan4', 'Plan5'

Available options:
Plan1,
Plan2,
Plan4,
Plan5
Example:

"Plan2"

startDate
string<date>
required

The start date of the student loan in YYYY-MM-DD format

Example:

"2024-04-06"

Response

Student loan started successfully

message
object
content
object
validationIssues
object[]
messageToken
string